// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function FilterIcon(): React.ReactElement {
  return (
    <svg aria-hidden="true" width="14" height="16" viewBox="0 0 14 16" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path
        d="M3.75 1C3.75 0.585786 3.41421 0.25 3 0.25C2.58579 0.25 2.25 0.585786 2.25 1L2.25 3.35352C1.09575 3.67998 0.25 4.74122 0.25 6V7C0.25 8.25878 1.09575 9.32002 2.25 9.64648L2.25 15C2.25 15.4142 2.58579 15.75 3 15.75C3.41421 15.75 3.75 15.4142 3.75 15L3.75 9.64648C4.90425 9.32002 5.75 8.25878 5.75 7V6C5.75 4.74122 4.90425 3.67998 3.75 3.35352L3.75 1ZM4.25 7C4.25 7.69036 3.69036 8.25 3 8.25C2.30964 8.25 1.75 7.69036 1.75 7V6C1.75 5.30964 2.30964 4.75 3 4.75C3.69036 4.75 4.25 5.30964 4.25 6V7ZM11 0.25C11.4142 0.25 11.75 0.585786 11.75 1V5.35352C12.9043 5.67998 13.75 6.74122 13.75 8V11C13.75 12.2588 12.9043 13.32 11.75 13.6465V15C11.75 15.4142 11.4142 15.75 11 15.75C10.5858 15.75 10.25 15.4142 10.25 15V13.6465C9.09575 13.32 8.25 12.2588 8.25 11V8C8.25 6.74122 9.09575 5.67998 10.25 5.35352V1C10.25 0.585786 10.5858 0.25 11 0.25ZM11 12.25C11.6904 12.25 12.25 11.6904 12.25 11V8C12.25 7.30964 11.6904 6.75 11 6.75C10.3096 6.75 9.75 7.30964 9.75 8V11C9.75 11.6904 10.3096 12.25 11 12.25Z"
        fill="#0032D9"
      />
    </svg>
  );
}
